Updating supertux - Problem with physfs error

Programming languages, Coding, executables, and scripting.
Post Reply
Message
Author
ratrace
Posts: 21
Joined: 2015-04-23 07:52
Location: Athens, Greece

Updating supertux - Problem with physfs error

#1 Post by ratrace »

Debian 10.7, Linux 4.19.0-13-amd64, xfce.

I installed through debian repositories supertux2 v0.6.0. Now i want to upgrade in the latest version.

I downloaded the file SuperTux-v0.6.2-Source.tar.gz from here uncompress it in my home folder, read the INSTALL.md and tried to complete the procedure.

After i installed a lot of needed tools and libraries i'm giving the command cmake .. and the outcome is,

Code: Select all

root@grafeio:/home/ypatis/supertux-0.6.2/build# cmake ..
-- Boost version: 1.67.0
-- Found the following Boost libraries:
--   filesystem
--   system
--   date_time
--   locale
-- Found OggVorbis: /usr/lib/x86_64-linux-gnu/libvorbisfile.so;/usr/lib/x86_64-linux-gnu/libvorbis.so;/usr/lib/x86_64-linux-gnu/libogg.so
CMake Error at CMakeLists.txt:236 (message):
  physfs submodule is not checked out or
  /home/ypatis/supertux-0.6.2/external/physfs/CMakeLists.txt is missing


-- Configuring incomplete, errors occurred!
See also "/home/ypatis/supertux-0.6.2/build/CMakeFiles/CMakeOutput.log".
root@grafeio:/home/ypatis/supertux-0.6.2/build#

User avatar
Head_on_a_Stick
Posts: 13450
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Updating supertux - Problem with physfs error

#2 Post by Head_on_a_Stick »

Have you read the "Frequently Asked Questions" thread in the HowTo section? One of the questions is about getting newer software version in Debian stable and lists some potential solutions. For example, Supertux is available as a flatpak.
Black Lives Matter

Debian buster-backports ISO image: for new hardware support

Post Reply